Attribute VB_Name = "EnemyStatsModule"
'Programmeed by Ervin Pe Benito
'// enemystatsmodeule.bas
Option Explicit
Public Type StatsOfEnemy
    Damage As Long
    Life As Long
    Dexterity As Long
    Agility As Long
    Armor As Long
    ExperienceEarn As Long
    MoneyEarn As Long
    MaxLife As Long
    Belt As Long
    ItemCount As Long
    Name As String
End Type

Public EnemyStats(0 To 4) As StatsOfEnemy

Public Sub InitializeEnemy()
    With EnemyStats(0)
        .Damage = 4
        .Life = 10
        .Dexterity = 8
        .Agility = 15
        .Armor = 3
        .ExperienceEarn = 2
        .MoneyEarn = 4
        .MaxLife = 10
        .Belt = 3
        .ItemCount = 1
        .Name = "Guardia"
    End With
    With EnemyStats(1)
        .Damage = 8
        .Life = 20
        .Dexterity = 13
        .Agility = 15
        .Armor = 3
        .ExperienceEarn = 4
        .MoneyEarn = 8
        .MaxLife = 20
        .Belt = 4
        .ItemCount = 2
        .Name = "Guardia Civil"
    End With
    With EnemyStats(2)
        .Damage = 12
        .Life = 25
        .MaxLife = 25
        .Dexterity = 25
        .Agility = 20
        .Armor = 5
        .ExperienceEarn = 15
        .MoneyEarn = 16
        .Belt = 4
        .ItemCount = 2
        .Name = "Civil De Caballero"
    End With
    With EnemyStats(3)
        .Damage = 20
        .Life = 40
        .Dexterity = 30
        .Agility = 25
        .Armor = 8
        .ExperienceEarn = 30
        .MoneyEarn = 40
        .MaxLife = 40
        .Belt = 5
        .ItemCount = 2
        .Name = "Guardia De Caņon"
    End With
    With EnemyStats(4)
        .Damage = 25
        .Life = 60
        .Dexterity = 40
        .Agility = 30
        .Armor = 10
        .ExperienceEarn = 80
        .MoneyEarn = 80
        .MaxLife = 60
        .Belt = 6
        .ItemCount = 2
        .Name = "Governador General"
    End With
End Sub

